Subject: Re: [PATCH net] net: mhi: set skb mac header before entering RX path

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 May 2024 16:38:44 -0700

On Mon, 13 May 2024 15:38:30 +0200 Martin Fäcknitz wrote:
> skb->mac_header must be set before passing the skb to the network stack,
> because skb->mac_len is calculated from skb->mac_header in
> __netif_receive_skb_core.
> 
> Some network stack components, like xfrm, are using skb->mac_len to
> check for an existing MAC header, which doesn't exist in this case. This
> leads to memory corruption.

Could you add a Fixes tag identifying the commit where the buggy code
was added? And please make sure to CC the relevant maintainers (I mean
the maintainers of the MHI code, specifically) on v2.
-- 
pw-bot: cr